> For the complete documentation index, see [llms.txt](https://docs.launchboard.app/cxd/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchboard.app/cxd/code-trivia-app/advanced/code-mod-examples/add-basic-scoring.md).

# Add Basic Scoring

![](https://2526237838-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LDyl4Aa9ODxsRVF0-_l%2F-LQnbRxldNktVr8jjyfb%2F-LQncCesVj8r4GMsROPR%2Fscoring.png?alt=media\&token=728b6877-47a3-4794-b1a2-9647cea118bb)

The following example code demonstrates how to add basic scoring to your trivia game.

### HTML

Add an HTML element with a unique *id* that will display the score. For example, you could place the following example to the top of the question screen.

```markup
<h1 id="score">-</h1>
```

### Javascript

Next you will need to update the score presented on the screen at the appropriate time. For starters, place the following line of Javascript inside the curly braces `{ }` of the `onClickedAnswer()` function code block. Placing it at the top of the code block is a good place.

```javascript
$('#score').html(`${trivia.totalCorrect} of ${trivia.totalAnswered} Correct`);
```

That's it, but you will likely want to customize how the score is presented. You could also add the core to the *thank you* screen in a similar way.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.launchboard.app/cxd/code-trivia-app/advanced/code-mod-examples/add-basic-scoring.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
